-- Skrypt by Adrian Majchrzak 13.10.2000
-- e-mail: design3d@poczta.onet.pl
-- Skrypt ma suy do szybkiego i prostego tworzenia dymu
-- Dziala w maxie od 2.x

utility spr "Spray++"
 (
 on Create pressed do
 (
 spr = spray pos:[0,0,0] \
 viewportcount: 100 \
		RenderCount: 100 \
		DropSize:2.0 \
		Speed:10.0 \ 
		Variation:1.0 \
		starttime:0 \
		lifetime:30 \
		constant:true \
		EmitterWidth:20.0 \
		EmitterHeight:20.0 \
		hideEmitter:true \
		Render:1
 )
 
 on crt_grav pressed do
 (
 grav = gravity pos:[-60,0,0] \
 		strength:1 \
 		decay:0 \
		iconsize:10
 )
 
 on crt_wind pressed do
 (
 wnd = wind pos:[60,0,0] \
 		strength:1 \
		decay:0 \
		turbulence:0 \
		frequency:0 \
		windScale:0 \
		iconsize:10 
 )
 
	group "Parameters"
	(
	button Create "Create Spray++"
	Spinner RenderCount "Render Count: " range:[0,10000,100]
	Spinner Viewportcount "View Count: " range:[0,10000,100]
	Spinner DropSize "DropSize: " range:[0,100,2]
	Spinner Speed "Speed: " range:[0,100,10]
	Spinner Variation "Variation: " range:[0,100,1]
	)
	
	group "Animate"
	(
	Spinner lifetime "Life: " range:[0,1000,30]
	Spinner starttime "Start: " range:[-1000,1000,0]
	)
	
	group "Emiter Size"
	(
	Spinner EmitterWidth "Width: " range:[0,10000,20]
	Spinner EmitterHeight "Height: " range:[0,10000,20]
	)
	
	group "Gravity"
	(
	button crt_grav "Create Gravity"
	Spinner grav_strength "Strength: " range:[0,20,1]
	Spinner grav_decay "Decay: " range:[0,10,0]
	Spinner grav_iconsize "Icon Size: " range:[0,100,10]
	)
	
	group "Wind"
	(
	button crt_wind "Create Wind"
	Spinner wnd_strength "Strength: " range:[0,20,1]
	Spinner wnd_decay "Decay: " range:[0,10,0]
	Spinner wnd_iconsize "Icon Size: " range:[0,100,10]
	Spinner wnd_turbulence "Turbulence : " range:[0,100,0]
	Spinner wnd_frequency "Freq : " range:[0,100,0]
	Spinner wnd_windScale "Scale : " range:[0,100,0]
	)
	
	group "Other"
	(
	button bind_wind "Bind Wind to Spray++   "
	button bind_grav "Bind Gravity to Spray++"
	)
	
	group "About"
	(
	label a1 "Spray++"
	label b1 "Created by"
	label c1 "Adrian Majchrzak"
	label d1 "design3d@poczta.onet.pl"
	)
	
	on bind_wind pressed do
	(
	bindSpaceWarp spr wnd
	)
	
	on bind_grav pressed do
	(
	bindSpaceWarp spr grav
	)
	
	on wnd_strength changed val do
	(
	wnd.Strength = val/1
	)
	
	on wnd_decay changed val do
	(
	wnd.Decay = val/1
	)
	
	on wnd_iconsize changed val do
	(
	wnd.iconsize = val/1
	)
	
	on wnd_turbulence changed val do
	(
	wnd.turbulence = val/1
	)
	
	on wnd_frequency changed val do
	(
	wnd.frequency = val/1
	)
	
	on wnd_windScale changed val do
	(
	wnd.windScale = val/1
	)
	
	on grav_strength changed val do
	(
	grav.Strength = val/1
	)
	
	on grav_decay changed val do
	(
	grav.Decay = val/1
	)
	
	on grav_iconsize changed val do
	(
	grav.iconsize = val/1
	)
	
	on EmitterWidth changed val do
	(
	spr.EmitterWidth = val/1
	)
	
	on EmitterHeight changed val do
	(
	spr.EmitterHeight = val/1
	)
	
	on lifetime changed val do
	(
	spr.lifetime = val/1
	)
	
	on starttime changed val do
	(
	spr.starttime = val/1
	)
	
	on RenderCount changed val do
	(
	spr.RenderCount = val/1
	)
	
	on Viewportcount changed val do
	(
	spr.Viewportcount = val/1
	)
	
	on DropSize changed val do
	(
	spr.DropSize = val/1
	)

	on Speed changed val do
	(
	spr.Speed = val/1
	)
	
	on Variation changed val do
	(
	spr.Variation = val/1
	)
)
